Mailinglist Archive: opensuse-buildservice (39 mails)

< Previous Next >
Re: [opensuse-buildservice] Need help on updating private OBS installation from 2.8 to 2.9
Hi again,

I know, it's lame to self-reply, but ...

On Wednesday, June 5, 2019 8:40:38 AM CEST Stefan Botter wrote:
I need help with updating my own OBS installation from 2.8.4 to to the
2.9 branch.
I run two instances, one is Packman's PMBS, and the other being my
university's build system. PMBS' update went smooth, it is on 2.9.6
for several weeks now.
While employing the same steps on my own BS, the needed update steps
run also without error, but after the update the API does not serve
the /assets/ path, rendering the web access unusable. I did not test
the actual building part and went back to my 2.8 snapshot (the whole
update process was tested 3 times with the same result).

Henne kindly had a look at my installation and identified an orphaned
file in /srv/www/obs/api/public/assets, which was left dangling by a
former update of obs-server, and picket up as "the real deal" by the
actual version 2.9.6.

Henne also created an issue
https://github.com/openSUSE/open-build-service/issues/7695


Thank you for helping me!

Greetings,

Stefan
--
Stefan Botter zu Hause
Bremen
< Previous Next >
List Navigation
References